import 'package:json_annotation/json_annotation.dart';

part 'scan.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class ScanDTO {
  ScanDTO({required this.internalId});

  String internalId;

  factory ScanDTO.fromJson(Map<String, dynamic> json) =>
      _$ScanDTOFromJson(json);

  Map<dynamic, dynamic> toJson() => _$ScanDTOToJson(this);
}
